
set echo on

ALTER SESSION SET NLS_TIMESTAMP_FORMAT = 'DD-MON-YYYY HH24:MI:SS.FF3';

col scn new_value scn
col ts new_value ts
col localtimestamp format a25
col ts format a25
col systimestamp format a35

SELECT SYSTIMESTAMP
,      LOCALTIMESTAMP
,      DBMS_FLASHBACK.GET_SYSTEM_CHANGE_NUMBER AS scn
FROM   dual;

SELECT SCN_TO_TIMESTAMP(&scn) AS ts
FROM   dual;

SELECT TIMESTAMP_TO_SCN('&ts') AS scn
FROM   dual;
